aboutsummaryrefslogtreecommitdiff
path: root/tests/qemu-iotests/226
diff options
context:
space:
mode:
authorJohn Snow <jsnow@redhat.com>2018-07-10 13:00:41 -0400
committerKevin Wolf <kwolf@redhat.com>2018-07-12 18:24:08 +0200
commit2d4cb49ddaa219ed3f5a985ecf8b188aeb2b3d6b (patch)
tree39d6588f63443fbdf264fbe431a5134f360e1044 /tests/qemu-iotests/226
parent230ff73904e72dde2d7718c2da407786a1c72e57 (diff)
downloadqemu-2d4cb49ddaa219ed3f5a985ecf8b188aeb2b3d6b.zip
qemu-2d4cb49ddaa219ed3f5a985ecf8b188aeb2b3d6b.tar.gz
qemu-2d4cb49ddaa219ed3f5a985ecf8b188aeb2b3d6b.tar.bz2
iotests: add test 226 for file driver types
Test that we're rejecting what we ought to for file, host_driver and host_cdrom drivers. Test that we're seeing the deprecated message for block and chardevs on the file driver. Signed-off-by: John Snow <jsnow@redhat.com> Signed-off-by: Kevin Wolf <kwolf@redhat.com>
Diffstat (limited to 'tests/qemu-iotests/226')
-rwxr-xr-xtests/qemu-iotests/22666
1 files changed, 66 insertions, 0 deletions
diff --git a/tests/qemu-iotests/226 b/tests/qemu-iotests/226
new file mode 100755
index 0000000..460aea2
--- /dev/null
+++ b/tests/qemu-iotests/226
@@ -0,0 +1,66 @@
+#!/bin/bash
+#
+# This test covers expected filetypes for the file, host_cdrom and
+# host_device drivers.
+#
+# Copyright (C) 2018 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=jsnow@redhat.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+status=1 # failure is the default!
+
+_cleanup()
+{
+ rmdir "$TEST_IMG"
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+. ./common.pattern
+
+# Generic format, but tests file-protocol specific error handling
+_supported_fmt generic
+_supported_proto file
+_supported_os Linux
+
+# Create something decidedly not a file, blockdev or chardev...
+mkdir "$TEST_IMG"
+
+for PROTO in "file" "host_device" "host_cdrom"; do
+ echo
+ echo "=== Testing with driver:$PROTO ==="
+ echo
+ echo "== Testing RO =="
+ $QEMU_IO -c "open -r -o driver=$PROTO,filename=$TEST_IMG" 2>&1 | _filter_imgfmt | _filter_testdir
+ $QEMU_IO -c "open -r -o driver=$PROTO,filename=/dev/null" 2>&1 | _filter_imgfmt
+ echo "== Testing RW =="
+ $QEMU_IO -c "open -o driver=$PROTO,filename=$TEST_IMG" 2>&1 | _filter_imgfmt | _filter_testdir
+ $QEMU_IO -c "open -o driver=$PROTO,filename=/dev/null" 2>&1 | _filter_imgfmt
+done
+
+# success, all done
+echo
+echo "*** done"
+rm -f $seq.full
+status=0